Bug 2251502 - USB ports disabled when booting with kernel 6.5.12
Summary: USB ports disabled when booting with kernel 6.5.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 39
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-25 18:59 UTC by Massimiliano Maniscalco
Modified: 2023-12-04 01:50 UTC (History)
17 users (show)

Fixed In Version: kernel-6.6.3-200.fc39 kernel-6.6.3-100.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-04 01:34:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
output of the commands: inxi -Fzxx, lspci -nnk, lsusb (11.15 KB, text/plain)
2023-11-25 19:07 UTC, Massimiliano Maniscalco
no flags Details

Description Massimiliano Maniscalco 2023-11-25 18:59:05 UTC
USB ports of my laptop Lenovo T495s doesn't work when booting with kernel 6.5.12, if I plug a pen drive nothing happens, it doesn't detect it. If I boot with the previous kernel 6.5.11 everything works normally.
If I boot with a pen drive plugged in, it is mounted and I can access the files, but if I remove it and try to plug in again it doesn't detect it anymore.

Reproducible: Always

Steps to Reproduce:
1.boot Fedora 39 with kernel 6.5.12 (latest)
2.insert a pen drive
3.it's not detected, nothing happens. I tried to monitor with journalctl -f, plugged in and removed, nothing happens.
Actual Results:  
The only way to read a pen drive or an external disk is to plug it in before to boot, or boot with kernel 6.5.11.


> journalctl -b | grep usb
nov 25 20:40:42 fedora-thinkpad kernel: usbcore: registered new interface driver usbfs
nov 25 20:40:42 fedora-thinkpad kernel: usbcore: registered new interface driver hub
nov 25 20:40:42 fedora-thinkpad kernel: usbcore: registered new device driver usb
nov 25 20:40:42 fedora-thinkpad kernel: usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 6.05
nov 25 20:40:42 fedora-thinkpad kernel: usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
nov 25 20:40:42 fedora-thinkpad kernel: usb usb1: Product: xHCI Host Controller
nov 25 20:40:42 fedora-thinkpad kernel: usb usb1: Manufacturer: Linux 6.5.12-300.fc39.x86_64 xhci-hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb usb1: SerialNumber: 0000:05:00.3
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: We don't know the algorithms for LPM for this host, disabling LPM.
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 6.05
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: Product: xHCI Host Controller
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: Manufacturer: Linux 6.5.12-300.fc39.x86_64 xhci-hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb usb3: SerialNumber: 0000:05:00.3
nov 25 20:40:42 fedora-thinkpad kernel: usb usb2: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 6.05
nov 25 20:40:42 fedora-thinkpad kernel: usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
nov 25 20:40:42 fedora-thinkpad kernel: usb usb2: Product: EHCI Host Controller
nov 25 20:40:42 fedora-thinkpad kernel: usb usb2: Manufacturer: Linux 6.5.12-300.fc39.x86_64 ehci_hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb usb2: SerialNumber: 0000:03:00.4
nov 25 20:40:42 fedora-thinkpad kernel: usb usb4: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 6.05
nov 25 20:40:42 fedora-thinkpad kernel: usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
nov 25 20:40:42 fedora-thinkpad kernel: usb usb4: Product: xHCI Host Controller
nov 25 20:40:42 fedora-thinkpad kernel: usb usb4: Manufacturer: Linux 6.5.12-300.fc39.x86_64 xhci-hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb usb4: SerialNumber: 0000:05:00.4
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: We don't know the algorithms for LPM for this host, disabling LPM.
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 6.05
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: Product: xHCI Host Controller
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: Manufacturer: Linux 6.5.12-300.fc39.x86_64 xhci-hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb usb5: SerialNumber: 0000:05:00.4
nov 25 20:40:42 fedora-thinkpad kernel: usbcore: registered new interface driver usbserial_generic
nov 25 20:40:42 fedora-thinkpad kernel: usbserial: USB Serial support registered for generic
nov 25 20:40:42 fedora-thinkpad kernel: usbcore: registered new interface driver usbhid
nov 25 20:40:42 fedora-thinkpad kernel: usbhid: USB HID core driver
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-1: new full-speed USB device number 2 using xhci_hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-1: New USB device found, idVendor=8087, idProduct=0025, bcdDevice= 0.02
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2: new high-speed USB device number 3 using xhci_hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2: New USB device found, idVendor=05e3, idProduct=0610, bcdDevice=60.52
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2: Product: USB2.0 Hub
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: new high-speed USB device number 4 using xhci_hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: New USB device found, idVendor=04f2, idProduct=b67c, bcdDevice=69.26
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: New USB device strings: Mfr=3, Product=1, SerialNumber=2
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: Product: Integrated Camera
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: Manufacturer: Chicony Electronics Co.,Ltd.
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.1: SerialNumber: 6926
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.2: new full-speed USB device number 5 using xhci_hcd
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.2: New USB device found, idVendor=058f, idProduct=9540, bcdDevice= 1.20
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.2: Product: EMV Smartcard Reader
nov 25 20:40:42 fedora-thinkpad kernel: usb 4-2.2: Manufacturer: Generic
nov 25 20:40:43 fedora-thinkpad kernel: usb 4-2.4: new full-speed USB device number 6 using xhci_hcd
nov 25 20:40:43 fedora-thinkpad kernel: usb 4-2.4: New USB device found, idVendor=06cb, idProduct=00bd, bcdDevice= 0.00
nov 25 20:40:43 fedora-thinkpad kernel: usb 4-2.4: New USB device strings: Mfr=0, Product=0, SerialNumber=1
nov 25 20:40:43 fedora-thinkpad kernel: usb 4-2.4: SerialNumber: ac192fb68025
nov 25 19:40:51 fedora-thinkpad mtp-probe[787]: checking bus 4, device 6: "/sys/devices/pci0000:00/0000:00:08.1/0000:05:00.4/usb4/4-2/4-2.4"
nov 25 19:40:51 fedora-thinkpad mtp-probe[789]: checking bus 4, device 5: "/sys/devices/pci0000:00/0000:00:08.1/0000:05:00.4/usb4/4-2/4-2.2"
nov 25 19:40:51 fedora-thinkpad mtp-probe[790]: checking bus 4, device 4: "/sys/devices/pci0000:00/0000:00:08.1/0000:05:00.4/usb4/4-2/4-2.1"
nov 25 19:40:52 fedora-thinkpad kernel: usb 4-2.1: Found UVC 1.50 device Integrated Camera (04f2:b67c)
nov 25 19:40:52 fedora-thinkpad kernel: usb 4-2.1: Found UVC 1.50 device Integrated Camera (04f2:b67c)
nov 25 19:40:52 fedora-thinkpad kernel: usbcore: registered new interface driver btusb
nov 25 19:40:52 fedora-thinkpad kernel: usbcore: registered new interface driver uvcvideo
nov 25 19:41:15 fedora-thinkpad gsd-usb-protect[2576]: Failed to fetch USBGuard parameters: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name is not activatable
nov 25 19:41:18 fedora-thinkpad fwupd[3255]: 18:41:18.414 FuEngine             failed to add device usb:04:00:02: failed to get static tool info from device: USB error on device 05e3:0610 : Pipe error [-9]

Comment 1 Massimiliano Maniscalco 2023-11-25 19:07:11 UTC
Created attachment 2001427 [details]
output of the commands: inxi -Fzxx, lspci -nnk, lsusb

I attach this to give more information about my system

Comment 2 Sebastian Ott 2023-11-28 14:57:35 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=2251576

look here ^ for more details (somehow my bz query skills failed me when I looked for existing issues)

Comment 3 Fedora Update System 2023-11-29 02:10:03 UTC
FEDORA-2023-15deb2e32a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-15deb2e32a

Comment 4 Fedora Update System 2023-11-29 02:10:16 UTC
FEDORA-2023-a7b89262c6 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a7b89262c6

Comment 5 Fedora Update System 2023-11-30 03:39:59 UTC
FEDORA-2023-15deb2e32a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-15deb2e32a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-15deb2e32a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-30 04:36:40 UTC
FEDORA-2023-a7b89262c6 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a7b89262c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a7b89262c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-12-04 01:34:49 UTC
FEDORA-2023-a7b89262c6 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-12-04 01:50:54 UTC
FEDORA-2023-15deb2e32a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.